package com.cesgroup.common.utils;

import lombok.Getter;

@Getter
public enum PatentTypeEnum {
	A01("A01", "农业；林业；畜牧业；狩猎；诱捕；捕鱼"), A21("A21", "焙烤；制作或处理面团的设备；焙烤用面团"), A22("A22", "屠宰；肉品处理；家禽或鱼的加工"),
	A23("A23", "其他类不包含的食品或食料；及其处理"), A24("A24", "烟草；雪茄烟；纸烟；吸烟者用品"), A41("A41", "服装"), A42("A42", "帽类制品"),
	A43("A43", "鞋类"), A44("A44", "服饰缝纫用品；珠宝"), A45("A45", "手携物品或旅行品"), A46("A46", "刷类制品"),
	A47("A47", "家具；家庭用的物品或设备；咖啡磨；香料磨；一般吸尘器"), A61("A61", "医学或兽医学；卫生学"), A62("A62", "救生；消防"), A63("A63", "运动；游戏；娱乐活动"),
	A99("A99", "本部其他类目中不包括的技术主题"), B01("B01", "一般的物理或化学的方法或装置"), B02("B02", "破碎、磨粉或粉碎；谷物碾磨的预处理"),
	B03("B03", "用液体或用风力摇床或风力跳汰机分离固体物料；从固体物料或流体中分离固体物料的磁或静电分离；高压电场分离"), B04("B04", "用于实现物理或化学工艺过程的离心装置或离心机"),
	B05("B05", "一般喷射或雾化；对表面涂覆液体或其他流体的一般方法"), B06("B06", "一般机械振动的发生或传递"), B07("B07", "将固体从固体中分离；分选"), B08("B08", "清洁"),
	B09("B09", "固体废物的处理；被污染土壤的再生"), B21("B21", "基本上无切削的金属机械加工；金属冲压"), B22("B22", "铸造；粉末冶金"),
	B23("B23", "机床；其他类目中不包括的金属加工"), B24("B24", "磨削；抛光"), B25("B25", "手动工具；轻便机动工具；手动器械的手柄；车间设备；机械手"),
	B26("B26", "手动切割工具；切割；切断"), B27("B27", "木材或类似材料的加工或保存；一般钉钉机或钉U形钉机"), B28("B28", "加工水泥、黏土或石料"),
	B29("B29", "塑料的加工；一般处于塑性状态物质的加工"), B30("B30", "压力机"), B31("B31", "纸品制作；纸的加工"), B32("B32", "层状产品"),
	B41("B41", "印刷；排版机；打字机；模印机"), B42("B42", "装订；图册；文件夹；特种印刷品"), B43("B43", "书写或绘图器具；办公用品"), B44("B44", "装饰艺术"),
	B60("B60", "一般车辆"), B61("B61", "铁路"), B62("B62", "无轨陆用车辆"), B63("B63", "船舶或其他水上船只；与船有关的设备"),
	B64("B64", "飞行器；航空；宇宙航行"), B65("B65", "输送；包装；贮存；搬运薄的或细丝状材料"), B66("B66", "卷扬；提升；牵引"),
	B67("B67", "开启或封闭瓶子、罐或类似的容器；液体的贮运"), B68("B68", "鞍具；家具罩面"), B81("B81", "微观结构技术"), B82("B82", "超微技术"),
	B99("B99", "本部其他类目中不包括的技术主题"), C02("C02", "水、废水、污水或污泥的处理"), C03("C03", "玻璃；矿棉或渣棉"),
	C04("C04", "水泥；混凝土；人造石；陶瓷；耐火材料"), C05("C05", "肥料；肥料制造"), C06("C06", "炸药；火柴"), C07("C07", "有机化学"),
	C08("C08", "有机高分子化合物；其制备或化学加工；以其为基料的组合物"), C09("C09", "染料；涂料；抛光剂；天然树脂；黏合剂；其他类目不包含的组合物；其他类目不包含的材料的应用"),
	C10("C10", "石油、煤气及炼焦工业；含一氧化碳的工业气体；燃料；润滑剂；泥煤"), C11("C11", "动物或植物油、脂、脂肪物质或蜡；由此制取的脂肪酸；洗涤剂；蜡烛"),
	C12("C12", "生物化学;啤酒;烈性酒;果汁酒;醋;微生物学;酶学;突变或遗传工程"), C13("C13", "糖工业"), C14("C14", "小原皮；大原皮；毛皮；皮革"), C21("C21", "铁的冶金"),
	C23("C23", "对金属材料的镀覆；用金属材料对材料的镀覆；表面化学处理；金属材料的扩散处理；真空蒸发法、溅射法、离子注入法或化学气相沉积法的一般镀覆；金属材料腐蚀或积垢的一般抑制"),
	C25("C25", "电解或电泳工艺；其所用设备"), C30("C30", "晶体生长"), C40("C40", "组合技术"), C99("C99", "本部其他类目不包括的技术主题"),
	D01("D01", "天然或人造的线或纤维；纺纱或纺丝"), D02("D02", "纱线；纱线或绳索的机械整理；整经或络经"), D03("D03", "织造"),
	D04("D04", "编织；花边制作；针织；饰带；非织造布"), D05("D05", "缝纫；绣花；簇绒"), D06("D06", "织物等的处理；洗涤；其他类不包括的柔性材料"),
	D07("D07", "绳；除电缆以外的缆索"), D21("D21", "造纸；纤维素的生产"), D99("D99", "本部其他类目不包括的技术主题"), E01("E01", "道路、铁路或桥梁的建筑"),
	E02("E02", "水利工程；基础；疏浚"), E03("E03", "给水；排水"), E04("E04", "建筑物"), E05("E05", "锁；钥匙；门窗零件；保险箱"),
	E06("E06", "一般门、窗、百叶窗或卷辊遮帘；梯子"), E21("E21", "土层或岩石的钻进；采矿"), E99("E99", "本部其他类目不包括的技术主题"),
	F01("F01", "一般机器或发动机；一般的发动机装置；蒸汽机"), F02("F02", "燃烧发动机；热气或燃烧生成物的发动机装置"),
	F03("F03", "液力机械或液力发动机；风力、弹力或重力发动机；其他类目中不包括的产生机械动力或反推力的发动机"), F04("F04", "液体变容式机械；液体泵或弹性流体泵"),
	F15("F15", "流体压力执行机构；一般液压技术和气动技术"), F16("F16", "工程元件或部件；为产生和保持机器或设备的有效运行的一般措施；一般绝热"), F17("F17", "气体或液体的贮存或分配"),
	F21("F21", "照明"), F22("F22", "蒸汽的发生"), F23("F23", "燃烧设备；燃烧方法"), F24("F24", "供热；炉灶；通风"),
	F25("F25", "制冷或冷却；加热和制冷的联合系统；热泵系统；冰的制造或储存；气体的液化或固化"), F26("F26", "干燥"), F27("F27", "炉；窑；烘烤炉；蒸馏炉"),
	F28("F28", "一般热交换"), F41("F41", "武器"), F42("F42", "弹药；爆破"), F99("F99", "本部其他类目不包括的技术主题"), G01("G01", "测量；测试"),
	G02("G02", "光学"), G03("G03", "摄影术；电影术；利用了光波以外其他波的类似技术；电记录术；全息摄影术"), G04("G04", "测时学"), G05("G05", "控制；调节"),
	G06("G06", "计算；推算；计数"), G07("G07", "核算装置"), G08("G08", "信号装置"), G09("G09", "教育；密码术；显示；广告；印鉴"), G10("G10", "乐器；声学"),
	G11("G11", "信息存储"), G12("G12", "仪器的零部件"), G21("G21", "核物理；核工程"), G99("G99", "不包含在本部其他类目中的技术主题"),
	H01("H01", "基本电气元件"), H02("H02", "发电、变电或配电"), H03("H03", "基本电子电路"), H04("H04", "电通信技术"), H05("H05", "其他类目不包含的电技术"),
	H99("H99", "本部中其他类目不包括的技术主题"), L0101("01-01", "烘焙食品,饼乾,面食品,通心粉及其他谷类食品,巧克力,糕饼,冰品"), L0102("01-02", "水果与蔬菜"),
	L0103("01-03", "乳酪,奶油和奶油代用品,其他乳制品"), L0104("01-04", "肉品(包括猪肉制品),鱼肉制品"), L0105("01-05", ""), L0106("01-06", "动物用食品"),
	L0199("01-99", "其他"), L0201("02-01", "内衣,女性内衣,女性紧身内衣,胸罩,睡衣"), L0202("02-02", "服装"), L0203("02-03", "帽子"),
	L0204("02-04", "鞋,短袜和长袜"), L0205("02-05", "领带,披肩,头巾和手帕"), L0206("02-06", "手套"), L0207("02-07", "服饰用品和服装附件"),
	L0299("02-99", "其他"), L0301("03-01", "衣箱,手提箱,公事包,手提袋,钥匙袋,内部经特别设计的箱子,钱包及类似物品"), L0302("03-02", ""),
	L0303("03-03", "雨伞,阳伞,遮阳篷,手杖"), L0304("03-04", "扇子"), L0399("03-99", "其他"), L0401("04-01", "清洁用刷和扫把"),
	L0402("04-02", "梳妆用刷具,衣服刷具,鞋刷具"), L0403("04-03", "工业用刷具"), L0404("04-04", "油漆刷,烹饪用刷具"), L0499("04-99", "其他"),
	L0501("05-01", "纺纱制品"), L0502("05-02", "蕾丝"), L0503("05-03", "绣花"), L0504("05-04", "缎带,穗带和其它装饰品"),
	L0505("05-05", "纺织纤维制品"), L0506("05-06", "人造和天然材料之片材类"), L0599("05-99", "其他"), L0601("06-01", "床和椅子"),
	L0602("06-02", ""), L0604("06-04", "存放物品用家具"), L0605("06-05", "组合家具"), L0606("06-06", "其他家具和家具零件"),
	L0607("06-07", "镜子和框架"), L0608("06-08", "挂衣架"), L0609("06-09", "床垫和垫子"), L0610("06-10", "窗廉和室内百叶窗"),
	L0611("06-11", "地毯,席垫和小地毯"), L0612("06-12", "挂毯"), L0613("06-13", "毯子或其它覆盖材料,家用亚麻制品和餐巾"), L0699("06-99", "其他"),
	L0701("07-01", "陶瓷器,玻璃器皿,餐用盘碟和其他类似物品"), L0702("07-02", "烹调的器具,器皿和容器"), L0703("07-03", "餐刀,餐叉和汤匙"),
	L0704("07-04", "用於调理食物或饮料的手工操作器具和器皿"), L0705("07-05", "熨烫,洗涤和清洁,乾燥用具"), L0706("07-06", "其他桌上器皿"),
	L0707("07-07", "其他家用容器"), L0708("07-08", "公寓壁炉附件"), L0799("07-99", "其他"), L0801("08-01", "钻孔,碾磨或挖掘工具和器具"),
	L0802("08-02", "鎚和其他类似工具及器具"), L0803("08-03", "切削工具和器具"), L0804("08-04", "螺丝起子以及其他类似工具和器具"),
	L0805("08-05", "其他工具和器具"), L0806("08-06", "把手,球形把手和绞链"), L0807("08-07", "锁或关闭装置"),
	L0808("08-08", "其他类未包括的扣紧,支撑或安装装置"), L0809("08-09", "用於门,窗,家具和类似物品的金属装配件"), L0810("08-10", "自行车架"),
	L0899("08-99", "其他"), L0901("09-01", "瓶,长颈瓶,罐,耐酸瓶,细颈坛和附有喷雾器装置的容器"), L0902("09-02", "贮藏用罐,圆桶和木桶"),
	L0903("09-03", "箱,盒,容器,(防腐)罐"), L0904("09-04", "有盖食物篮,柳条箱和篮子"), L0905("09-05", "袋,香袋,管和囊"),
	L0906("09-06", "绳和捆箍材料"), L0907("09-07", "密封装置及附件"), L0908("09-08", "堆高机用托板和装卸台"), L0909("09-09", "废物和垃圾容器及其座架"),
	L1001("10-01", "钟和闹钟"), L1002("10-02", "表和手表"), L1003("10-03", "其他计时仪器"), L1004("10-04", "其他计测仪器,设备和装置"),
	L1005("10-05", "检验,安全和试验用仪器,设备和装置"), L1006("10-06", "信号设备和装置"), L1007("10-07", "测量,检验和信号仪器的外壳,箱子,盘面,指针和所有其它零件及附件"),
	L1099("10-99", "其他"), L1101("11-01", "珠宝"), L1102("11-02", "小摆设,桌子,壁炉台和墙壁装饰,花瓶和花盆"), L1103("11-03", "纪念章和徽章"),
	L1104("11-04", "人造之花,水果及植物"), L1105("11-05", "旗帜,节日装饰品"), L1199("11-99", "其他"), L12("12", "运输或升降的工具"),
	L1201("12-01", "畜力车辆"), L1202("12-02", "手推车,单轮手推车"), L1203("12-03", "火车头和铁路用机动托架及其它所有轨道运输车辆"),
	L1204("12-04", "空中缆车,吊椅和滑雪缆车"), L1205("12-05", "装载和运输用电梯和升降机"), L1206("12-06", "船和艇"), L1207("12-07", "飞机及太空载具"),
	L1208("12-08", "汽车,公共汽车和货车"), L1209("12-09", "拖车头"), L1210("12-10", "拖车(露营车)"), L1211("12-11", "自行车和摩托车"),
	L1212("12-12", "婴儿车,病人用(轮)椅,担架"), L1213("12-13", "专用车辆"), L1214("12-14", "其他载具"), L1215("12-15", "车辆轮胎和防滑链"),
	L1216("12-16", "其他类未包括的车辆零件,设备和附件"), L1299("12-99", "其他"), L1301("13-01", "发电机和电动机"),
	L1302("13-02", "电力变压器,整流器,电池和蓄电池"), L1303("13-03", "配电和控制设备"), L1399("13-99", "其他"),
	L1401("14-01", "声音或图像的记录或复制设备"), L1402("14-02", "数据处理设备及其周边的仪器,装置"), L1403("14-03", "通讯设备,无线遥控和无线电放大器"),
	L1499("14-99", "其他"), L1501("15-01", "引擎"), L1502("15-02", "泵和压缩机"), L1503("15-03", "农业机具"), L1504("15-04", "建筑机具"),
	L1505("15-05", "工业用洗涤,清洁和乾燥机具"), L1506("15-06", "纺织,缝纫,针织和绣花机具及零件"), L1507("15-07", "冷冻机具及设备"), L1508("15-08", ""),
	L1509("15-09", "工作母机,研磨和铸造机械"), L1599("15-99", "其他"), L1601("16-01", "照相机和电影摄影机"), L1602("16-02", "放映机和看片机"),
	L1603("16-03", "复印装置和设备"), L1604("16-04", "显影器械和设备"), L1605("16-05", "附件"), L1606("16-06", "光学制品"),
	L1699("16-99", "其他"), L1701("17-01", "键盘乐器"), L1702("17-02", "管乐器"), L1703("17-03", "弦乐器"), L1704("17-04", "打击乐器"),
	L1705("17-05", "自动演奏乐器"), L1799("17-99", "其他"), L1801("18-01", "打字机和计算机器"), L1802("18-02", "印刷机器"),
	L1803("18-03", "印刷活字和活字版"), L1804("18-04", "装订机器,钉书机器,裁切机器和修边机器(书本装订用)"), L1899("18-99", "其他"),
	L1901("19-01", "书写纸,信件和通知用卡片"), L1902("19-02", "办公设备"), L1903("19-03", "日历"), L1904("19-04", "书本及其他与其外观类似物品"),
	L1905("19-05", ""), L1906("19-06", "用於写字,绘图,绘画,雕塑,雕刻和其他工艺技术的材料和器械"), L1907("19-07", "教学器材"),
	L1908("19-08", "其他印刷品"), L1999("19-99", "其他"), L2001("20-01", "自动贩卖机"), L2002("20-02", "陈列和销售设备"),
	L2003("20-03", "标志,招牌和广告装置"), L2099("20-99", "其他"), L2101("21-01", "游戏器具和玩具"), L2102("21-02", "体操和运动的器具及设备"),
	L2103("21-03", "其他娱乐和游艺用品"), L2104("21-04", "帐篷及其附属品"), L2199("21-99", "其他"), L2201("22-01", "射击武器"),
	L2202("22-02", "其他武器"), L2203("22-03", "弹药,火箭和火药用品"), L2204("22-04", "靶及附件"), L2205("22-05", "狩猎和钓鱼器械"),
	L2206("22-06", "捕捉器,灭虫的用具"), L2299("22-99", "其他"), L2301("23-01", "液体分配设备"), L2302("23-02", "卫生设备"),
	L2303("23-03", "供热设备"), L2304("23-04", "通风和空调设备"), L2305("23-05", "固体燃料"), L2399("23-99", "其他"),
	L2401("24-01", "医生,医院和实验室用器具和设备"), L2402("24-02", "医疗仪器,实验室用仪器和工具"), L2403("24-03", "修复手术用品"),
	L2404("24-04", "用於包扎,护理和医疗的材料"), L2499("24-99", "其他"), L2501("25-01", "建筑材料"), L2502("25-02", "预制或预先组合的建筑零件"),
	L2503("25-03", "房屋,车库和其他建筑"), L2504("25-04", "阶梯,梯子和鹰架"), L2599("25-99", "其他"), L2601("26-01", "烛台和烛架"),
	L2602("26-02", "手电筒,手提灯和灯笼"), L2603("26-03", "公共场所照明装置"), L2604("26-04", "电气或非电气光源"),
	L2605("26-05", "灯,落地灯,树枝形吊灯,墙壁和天花板嵌灯,灯罩,反光罩,照相和电影用聚光灯"), L2606("26-06", "车辆照明设备"), L2699("26-99", "其他"),
	L2701("27-01", "烟草,雪茄和香烟"), L2702("27-02", "烟斗,雪茄和香烟烟嘴"), L2703("27-03", "烟灰缸"), L2704("27-04", "火柴"),
	L2705("27-05", "打火机"), L2706("27-06", "雪茄盒,香烟盒,烟草罐和烟袋"), L2799("27-99", "其他"), L2801("28-01", "药品"),
	L2802("28-02", "化妆用品"), L2803("28-03", "梳洗用品和美容院设备"), L2804("28-04", "假发和假发支撑件"), L2899("28-99", "其他"),
	L2901("29-01", "防火救援装置和设备"), L2902("29-02", "其他类未列入的预防事故和救生装置及设备"), L2999("29-99", "其他"), L3001("30-01", "动物服装"),
	L3002("30-02", "圈,笼,窝及类似居所"), L3003("30-03", "餵食器和餵水器"), L3004("30-04", "马具"), L3005("30-05", "鞭子和刺棒"),
	L3006("30-06", "睡垫和窝"), L3007("30-07", "栖木和其他笼子配件"), L3008("30-08", "烙印器,印记和脚镣"), L3009("30-09", "栓柱"),
	L3099("30-99", "其他"), L3100("31-00", "烘焙机器等");
	private String code;
	private String message;

	PatentTypeEnum(String code, String message) {
		this.code = code;
		this.message = message;
	}

	/**
	 * @param code
	 * @return
	 */
	public static PatentTypeEnum parse(String code) {
		PatentTypeEnum[] values = values();
		for (PatentTypeEnum value : values) {
			if (value.getCode().equals(code)) {
				return value;
			}
		}
		return null;
	}

}
